<?php
/*
Plugin Name: Comment Approved Notifier
Plugin URI: http://www.yakupgovler.com/?p=291
Description: Send an e-mail to your commenters when you approve their comments.
Author: Yakup Gövler
Version: 2.1
Author URI: http://www.yakupgovler.com/
*/ 

function yg_send_email($comment) {
	if (($comment->comment_type == '') && ($comment->comment_author_email != '')) {

	  $to = $comment->comment_author_email;
	  $subject = "Your Comment is Approved";
	    
	  $site_name = get_bloginfo('name');
	  $site_email = get_bloginfo('admin_email');
	  $charset = get_settings('blog_charset');
	  
	  $message = "Dear ".$comment->comment_author.",\n\n";
	  $message .= "Your comment about \"".get_the_title($comment->comment_post_ID)."\" post is approved.\n";
	  $message .= "Your can see your comment from this address: ".get_permalink($comment->comment_post_ID). "#comment-" . $comment->comment_ID."\n\n";
	  $message .= "---------------------------------------------------------\n";  
	  $message .= "Your comment: \n";
	  $message .= $comment->comment_content."\n";
	  $message .= "---------------------------------------------------------\n\n";
	  $message .= "Thank you for your comment!!!\n\n";
	  $message .= $site_name."\n\n";
	  $message .= "(If you didn't send this comment, we apologize for this e-mail)";
	  
	  $headers  = "from: $site_name\n";
	  $headers .= "MIME-Version: 1.0\n";
	  $headers .= "Content-Type: text/plain; charset=\"{$charset}\"\n";
	  @wp_mail( $to, $subject, $message, $headers);
	}
  return false;

}

//comment_unapproved_to_approved action is defined in function  wp_transition_comment_status
add_action('comment_unapproved_to_approved', 'yg_send_email');

?>